Package org.eclipse.microprofile.fault.tolerance.tck.config.clientserver

# Class ConfigClassLevelMaxDurationClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.clientserver.ConfigClassLevelMaxDurationClient

@RequestScoped @Retry(maxRetries=90, maxDuration=3000L) public class ConfigClassLevelMaxDurationClient extends Object
A client to support Fault Tolerance Configuration tests.

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`ConfigClassLevelMaxDurationClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRetryCountForWritingService()`
`void`
`serviceA()`
Max retries is configured to 90 but the max duration is 3 seconds with a default durationUnit of milliseconds.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigClassLevelMaxDurationClient

public ConfigClassLevelMaxDurationClient()

## Method Details

### serviceA

public void serviceA()
Max retries is configured to 90 but the max duration is 3 seconds with a default durationUnit of milliseconds. Once the duration is reached, no more retries should be performed.

### getRetryCountForWritingService

public int getRetryCountForWritingService()